apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    description: Backend for replace operations.
  labels:
    deploy: sourcegraph
  name: replacer
spec:
  minReadySeconds: 10
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: replacer
  strategy:
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 1
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: replacer
    spec:
      containers:
      - env:
        - name: REPLACER_CACHE_SIZE_MB
          value: "100000"
        - name: POD_NAME
          valueFrom:
            fieldRef:
              fieldPath: metadata.name
        - name: CACHE_DIR
          value: /mnt/cache/$(POD_NAME)
        image: index.docker.io/sourcegraph/replacer:3.12.7@sha256:a615dbe8c836aa3dbba9350e3c9aca7650b8ccc56937f0ba17556fa4ea5beccd
        terminationMessagePolicy: FallbackToLogsOnError
        name: replacer
        ports:
        - containerPort: 3185
          name: http
        - containerPort: 6060
          name: debug
        readinessProbe:
          failureThreshold: 1
          httpGet:
            path: /healthz
            port: http
            scheme: HTTP
          periodSeconds: 1
        resources:
          limits:
            cpu: "4"
            memory: 500M
          requests:
            cpu: 500m
            memory: 500M
        volumeMounts:
        - mountPath: /mnt/cache
          name: cache-ssd
      securityContext:
        runAsUser: 0
      volumes:
      - emptyDir: {}
        name: cache-ssd
